## gate.util
Class TestJacl

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.util.TestJacl

All Implemented Interfaces:
  junit.framework.Test

public class TestJacl
extends junit.framework.TestCase

Tests for the Jacl class

Constructor Summary
`TestJacl(String name)` Construction

Method Summary
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testCreation()` Jacl creation and use of GATE scripts
`void` `testListing()` Test the finding and listing methods

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestJacl

    public TestJacl(String name)

  Construction

Method Detail

### setUp

    public void setUp()

  Fixture set up

### testCreation

    public void testCreation()
                      throws tcl.lang.TclException

  Jacl creation and use of GATE scripts

### testListing

    public void testListing()
                     throws tcl.lang.TclException

  Test the finding and listing methods

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner